# -*- coding: utf-8 -*-
import sys
import os
import urllib
import xbmc
import xbmcgui
import xbmcplugin
import xbmcaddon
import logging
from operator import itemgetter


def show_tags():
  tag_handle = int(sys.argv[1])
  xbmcplugin.setContent(tag_handle, 'tags')

  for tag in tags:
    iconPath = os.path.join(home, 'resources', 'media', tag['icon'])
    li = xbmcgui.ListItem(tag['name'], iconImage=iconPath)
    url = sys.argv[0] + '?tag=' + str(tag['id'])
    xbmcplugin.addDirectoryItem(handle=tag_handle, url=url, listitem=li, isFolder=True)

  xbmcplugin.endOfDirectory(tag_handle)


def show_streams(tag):
  stream_handle = int(sys.argv[1])
  xbmcplugin.setContent(stream_handle, 'streams')
  logging.warning('TAG show_streams!!!! %s', tag)
  for stream in streams[str(tag)]:
    logging.debug('STREAM HERE!!! %s', stream['name'])
    iconPath = os.path.join(home, 'resources', 'media', stream['icon'])
    li = xbmcgui.ListItem(stream['name'], iconImage=iconPath)
    xbmcplugin.addDirectoryItem(handle=stream_handle, url=stream['url'], listitem=li)

  xbmcplugin.endOfDirectory(stream_handle)

def get_params():
  """
  Retrieves the current existing parameters from XBMC.
  """
  param = []
  paramstring = sys.argv[2]
  if len(paramstring) >= 2:
    params = sys.argv[2]
    cleanedparams = params.replace('?', '')
    if params[len(params) - 1] == '/':
      params = params[0:len(params) - 2]
    pairsofparams = cleanedparams.split('&')
    param = {}
    for i in range(len(pairsofparams)):
      splitparams = {}
      splitparams = pairsofparams[i].split('=')
      if (len(splitparams)) == 2:
        param[splitparams[0]] = splitparams[1]
  return param

def lower_getter(field):
  def _getter(obj):
    return obj[field].lower()

  return _getter


addon = xbmcaddon.Addon()
username = addon.getSetting('username')
password = addon.getSetting('password')
home = xbmc.translatePath(addon.getAddonInfo('path'))

tags = [
  {
    'name': 'Turk Kanallar',
    'id': 'TurkKanallar',
    'icon': 'Channels.png',
  },
     {
    'name': 'Yabanci Kanallar',
    'id': 'YabanciKanallar',
    'icon': 'yabanci.jpg',
  },
     {
    'name': 'Sohbetler',
    'id': 'Sohbetler',
    'icon': 'sohbetler.jpg',
  },
     {
    'name': 'Dini Kanallar',
    'id': 'DiniKanallar',
    'icon': 'dini.jpg',
  },

     {
    'name': 'Filmler',
    'id': 'Filmler',
    'icon': 'filmler.png',

 },

     {
    'name': 'Arapca Dersleri',
    'id': 'ArapcaDerrrrrrsleri',
    'icon': 'arapca.jpg',

},

     {
    'name': 'Kuran Mucizeleri',
    'id': 'KuranMucizeleri',
    'icon': 'kuran.jpg',    
    
}]

TurkKanallar = [{
  
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]BEYAZ TV[/COLOR]',
  'url': 'http://hdtvizle.ru/14452/71930/71968/beyaz.m3u8',
  'icon': 'beyaztv.png',
  'disabled': False
},



  {
  'name': '[COLOR red]>>UCRETLI EKLENTIMIZCE BUTUN KANALLAR CALISMAKTADIR[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SENELIK 12 EURO[/COLOR]',
  'url': 'http://trtcanlitv-lh.akamaihd.net/i/TRT1HD_1@181842/index_1500_av-b.m3u8?sd=10&rebase=on&hdntl=',
  'icon': 'trt1.png',
  'disabled': False

  },



  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TRT 1[/COLOR]',
  'url': 'http://trtcanlitv-lh.akamaihd.net/i/TRT1HD_1@181842/index_1500_av-b.m3u8?sd=10&rebase=on&hdntl=',
  'icon': 'trt1.png',
  'disabled': False
  
},



  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]KANAL 7[/COLOR]',
  'url': 'rtmp://livede.gostream.nl:80/kanal7int playpath=kanal7int swfUrl=http://www.gostream.nl/zplayer/flowplayer.ozel.swf?0.9924251136835665 pageUrl=http://www.gostream.nl/play.stream.php?id=2',
  'icon': 'kanal7.jpg',
  'disabled': False                
},
                
  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]KANAL D[/COLOR]',
  'url': 'http://212.224.108.81/S1/HLS_LIVE/kanald/1000/prog_index.m3u8',
  'icon': 'kanald.png',
  'disabled': False
},

  {
  'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]CNN TURK[/COLOR]',
  'url': 'http://212.224.108.76:80/S1/HLS_LIVE/cnn_turk/1000/prog_index.m3u8',
  'icon': 'cnnturk.jpg',
  'disabled': False
},

  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]FOX TV[/COLOR]',
  'url': 'http://178.162.205.72:8081/live_hd/foxtv/live_hd/foxtv_mid/chunks.m3u8?nimblesessionid=41363287&wmsAuthSign=c2VydmVyX3RpbWU9Mi8yMy8yMDE2IDEwOjE0OjI1IEFNJmhhc2hfdmFsdWU9dnhxcE9WWVI0bW40cThsMDRMdFg2QT09JnZhbGlkbWludXRlcz0xMCZpcD04My4yNDkuOTUuNjg=',
  'icon': 'foxtv.jpg',
  'disabled': False
},

  {
  'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]HABERTURK[/COLOR]',
  'url': 'rtmp://live-ciner.mncdn.net/haberturk/ playpath=haberturk2 swfUrl=http://www.haberturk.com/images/flash/flowplayer.commercial-3.1.5.swf pageUrl=http://www.haberturk.com/canliyayin live=true swfVfy=true',
  'icon': 'haberturk.png',
  'disabled': False
},

  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SHOWTURK[/COLOR]',
  'url': 'rtmp://mn-l.mncdn.com/showtv/ playpath=showtv2 swfUrl=http://static.oroll.com/p.swf?v=21.79&ts=15-12-2013 pageUrl=http://www.showtv.com.tr/canli-yayin live=1 timeout=15',
  'icon': 'showtv.jpg',
  'disabled': False
},

  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]STAR TV[/COLOR]',
  'url': 'http://178.162.205.71:8081/live_sd/startv/live_sd/star_mid/chunks.m3u8?nimblesessionid=37712900&wmsAuthSign=c2VydmVyX3RpbWU9Mi8yMy8yMDE2IDEwOjE2OjMxIEFNJmhhc2hfdmFsdWU9UnBjbnlRdjE0bk9nNG90YUFoc09PUT09JnZhbGlkbWludXRlcz0xMCZpcD04My4yNDkuOTUuNjg=',
  'icon': 'startv.jpg',
  'disabled': False
},

  {
  'name': '10 - Yol Tv',
  'url': 'rtmp://yol.dyndns.tv:2100/yol/ playpath=yolstream swfUrl=http://p.jwpcdn.com/6/7/jwplayer.flash.swf pageUrl=http://karwan.tv/yol-tv.html',
  'icon': 'yoltv.jpg',
  'disabled': False                
},
  {
  'name': '11 - Sports Tv',
  'url': 'http://hdtvizle.ru/14452/71930/71968/sports.m3u8',
  'icon': 'sport.jpg',
  'disabled': False
},
                
  {
  'name': '12 - Fanatik Tv',
  'url': 'rtmp://live.fanatik.cubecdn.net/fanatiktv/ playpath=stream_720 swfUrl=http://medyanet.doracdn.com/Medyanet/Video/Player-2.6.4.7.swf pageUrl=http://tv.fanatik.com.tr/',
  'icon': 'fanatik.png',
  'disabled': False
},



  {
  'name': '13 - Yumurcak Tv',
  'url': 'http://trtcanlitv-lh.akamaihd.net/i/TRTCOCUK_1@181844/master.m3u8',
  'icon': 'yumurcaktv.png',
  'disabled': False                
},

  {
  'name': '[COLOR red]>>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TV8[/COLOR]',
  'url': 'http://178.162.205.72:8081/live_hd/TV8/live_hd/TV8_mid/chunks.m3u8?nimblesessionid=41363781&wmsAuthSign=c2VydmVyX3RpbWU9Mi8yMy8yMDE2IDEwOjE4OjExIEFNJmhhc2hfdmFsdWU9UDlYR2oyc3NSdlROVzBVeDZsM3MxUT09JnZhbGlkbWludXRlcz0xMCZpcD04My4yNDkuOTUuNjg=',
  'icon': 'tv8.jpg',
  'disabled': False                
},                
                
  {
  'name': '[COLOR red]>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]BEYAZ TV[/COLOR]---[COLOR green]ALTERNATIV[/COLOR]',
  'url': 'http://37.77.2.236:1935/beyaz/beyaz.stream/playlist.m3u8',
  'icon': 'beyaztv.png',
  'disabled': False 
},
  
  {
  'name': '[COLOR red]>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]KANAL D[/COLOR]---[COLOR green]ALTERNATIV[/COLOR]',
  'url': 'http://www.iptvsaga.com/play/tv3/0038.m3u8',
  'icon': 'kanald.png',
  'disabled': False

},
  
  {
  'name':'[COLOR red]>ULUSAL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SHOW TV[/COLOR]---[COLOR green]ALTERNATIV[/COLOR]',
  'url': 'http://mn-l.mncdn.com:1935/showturktv/showturktv1/chunklist_w343490968.m3u8',
  'icon': 'showtv.jpg',
  'disabled': False
},

  {

  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 1[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema1',
  'icon': 'sinema1.png',
  'disabled': False
},

  {
    
  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 2[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema2',
  'icon': 'sinema2.png',
  'disabled': False
},

  {
    
  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 3[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema3',
  'icon': 'sinema3.png',
  'disabled': False
},

  {  
    
  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 4[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema4',
  'icon': 'sinema4.png',
  'disabled': False
},

  {
  
    
  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 5[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema5',
  'icon': 'sinema5.png',
  'disabled': False
},

  {
  
    
  'name': '[COLOR tomato]>>SINEMA[/COLOR][COLOR blue]--[/COLOR][COLOR orange]SINEMA 6[/COLOR]',
  'url': 'http://yayin7.canliyayin.org/sinema6',
  'icon': 'sinema6.png',
  'disabled': False
},

  {

  'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TV10[/COLOR]',
  'url': 'rtmp://5.135.142.60/tv10 playpath=xetero swfUrl=http://www.tv10.com.tr/tv10.com.tr/rplay.swf pageUrl=http://www.tv10.com.tr/tv10.com.tr/rplay.swf',
  'icon': 'tv10.jpg',
  'disabled': False
},

  {


  'name': '26 - AY TV',
  'url': 'rtmp://stream.taksimbilisim.com/aytv playpath=bant1 swfUrl=http://www.binbirkanal.com/jw-flashplayer/player.swf pageUrl=http://www.binbirkanal.com/canli-tv-izle/Aydin/ay-tv.aspx',
  'icon': 'aytv.jpg',
  'disabled': False
},

  {

  'name': '27 - KANAL ON4',
  'url': 'rtmp://yayin.netradyom.com/live playpath=on4 swfUrl=http://www.hd-tvizle.com/mediaplayer2.swf pageUrl=http://www.hd-tvizle.com/on4-tv-canli-yayin-izle-hd/',
  'icon': 'on4haber.png',
  'disabled': False
},

  {
  
    
  'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]AKIT TV[/COLOR]',
  'url': 'http://yayin3.canlitv.com.tr:1935/live/akittv/chunklist_w1945245535.m3u8',
  'icon': 'akittv.jpg',
  'disabled': False


  },

  {
  
    
  'name':'[COLOR violet]>>BELGESEL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TGRT BELGESEL[/COLOR]',
  'url': 'http://tgrtbelgesel.mediatriple.net:1935/tgrtbliveedge/smil:tgrtb.smil/chunklist_w1342039182.m3u8',
  'icon': 'tgrtbelgesel.png',
  'disabled': False
 
},

  {
  
    
  'name':'[COLOR violet]>>BELGESEL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]KOY TV[/COLOR]',
  'url': 'http://37.75.10.20/koytv/koytv/chunklist.m3u8',
  'icon': 'koytv.jpg',
  'disabled': False

},

  {
  
    
  'name': '37 - Kanal Urfa',
  'url': 'http://stream.taksimbilisim.com:1935/kanalurfa/smil:kanalurfa.smil/chunklist_w1481422355_b390000.m3u8',
  'icon': 'urfa.jpg',
  'disabled': False

},

  {
  
    
  'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TBMM[/COLOR]',
  'url': 'http://mecliscanlitv-lh.akamaihd.net/i/MECLISTV_1@127503/master.m3u8',
  'icon': 'tbmm.jpg',
  'disabled': False

},

  {
  
    
  'name': '39 - BenguTurk',
  'url': 'http://yayin8.canliyayin.org:1935/benguturk/benguturk/playlist.m3u8?wowzasessionid=1514988475',
  'icon': 'bengu.jpg',
  'disabled': False



},

  {
  
    
 'name': '[COLOR green]>>HABER[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TGRT HABER[/COLOR]',
  'url': 'http://tgrthaber.mediatriple.net:1935/tgrtliveedge/tgrt2/chunklist_w1674259807.m3u8',
  'icon': 'tgrt.jpg',
  'disabled': False  


},

  {
  
    
  'name':'[COLOR violet]>>BELGESEL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]YABAN TV[/COLOR]',
  'url' : 'http://yayin3.sanaltv.com:1935/live1/yabantv/chunklist_w427175597.m3u8',
  'icon': 'yaban.jpg',
  'disabled': False




},

  {
  
    
  'name': '42 - IMC Tv',
  'url': 'http://stream-ec.sv6.dailymotion.com/03/dm/1/x1l65xy/live.isml/events(live-1454289168)/live-audio=128000-video=1200000.m3u8',
  'icon': 'imc.jpg',
  'disabled': False


},

  {
  
    
  'name':'[COLOR violet]>>BELGESEL[/COLOR][COLOR blue]--[/COLOR][COLOR orange]TRT BELGESEL[/COLOR]',
  'url': 'http://trtcanlitv-lh.akamaihd.net/i/TRTBELGESEL_1@182145/master.m3u8',
  'icon': 'trtbelgesel.jpg',
  'disabled': False

},

  {
  
    
  'name': '49 - TRT Spor',
  'url': 'http://sol.trtcdn.com/tv/trtspor/smil:trtspor.smil/chunklist_w2028365084_b665600.m3u8',
  'icon': 'trtspor.png',
  'disabled': False

},

  {
  
    
  'name': '48 - TRT Kurdi',
  'url': 'http://trtcanlitv-lh.akamaihd.net/i/TRT6_1@181944/master.m3u8',
  'icon': 'trtkurdi.jpg',
  'disabled': False     


},

  {
     
  'name': '44 - Ciftci Tv',
  'url' : 'rtmp://stream.taksimbilisim.com/ciftcitv playpath=bant1 swfUrl=http://p.jwpcdn.com/6/8/jwplayer.flash.swf pageUrl=http://tamtvizle.com/tv-izle/belgesel/ciftcitv.html',
  'icon': 'ciftci.jpg',
  'disabled': False    

  
}]














YabanciKanallar = [{
  'name': '01 - ORF 2',
  'url': 'http://apasfiisl.apa.at/ipad/orf2_q4a/orf.sdp/playlist.m3u8',
  'icon': 'alman.png',
  'disabled': False
},
  {
  'name': '02 - Das Erste',
  'url': 'http://daserste_live-lh.akamaihd.net/i/daserste_int@91203/master.m3u8',
  'icon': 'alman.png',
  'disabled': False

},
  {
  'name': '03 - NDR',
  'url': 'http://ndr_fs-lh.akamaihd.net/i/ndrfs_hh@119223/index_3776_av-p.m3u8',
  'icon': 'alman.png',
  'disabled': False

},
  {
  'name': '04 - euronews',
  'url': 'http://fr-par-iphone-2.cdn.hexaglobe.net/streaming/euronews_ewns/14-live.m3u8',
  'icon': 'alman.png',
  'disabled': False

},
  {
  'name': '05 - Az Tv',
  'url': 'http://fqhls-f.akamaihd.net/i/aztv_1@321938/index_3_av-p.m3u8',
  'icon': 'azeri.png',
  'disabled': False

},

  {
  'name': '06 - Idman Tv',
  'url' : 'http://meridelive02-lh.akamaihd.net/i/idmantv_1@319873/index_3_av-p.m3u8',
  'icon': 'azeri.png',
  'disabled': False

},
  {
  'name': '07 - Lider Tv',
  'url': 'http://neuiptv.sytes.net:8760/huseyin/aydin/56.ch',
  'icon': 'azeri.png',
  'disabled': False

},

  {
  'name': '08 - Ans Tv',
  'url': 'http://188.72.131.226/aztv.m3u8',
  'icon': 'azeri.png',
  'disabled': False
},

  {
  'name': '09 - Kurdsat',
  'url': 'http://62.210.100.139:1935/kurdsattv/smil:kurdsat.smil/chunklist_w198010984_b886000_slen.m3u8',
  'icon': 'kurd.png',
  'disabled': False
},

  {
  'name': '10 - Zagros Tv',
  'url': 'http://198.100.158.231:1935/kanal10/_definst_/livestream/playlist.m3u8',
  'icon': 'kurd.png',
  'disabled': False
},

  {
  'name': '11 - Kurdmax',
  'url': 'http://live.kurdstream.net:1935/liveTrans//myStream_360p/playlist.m3u8',
  'icon': 'kurd.png',
  'disabled': False

},

  {
  'name': '12 - Rudow',
  'url': 'rtmp://livestreaming.itworkscdn.net/rudawlive playpath=rudawtv swfUrl=http://rudaw.net/Player-v6/jwplayer.flash.swf pageUrl=http://rudaw.net/kurmanci/onair/tv/live',
  'icon': 'kurd.png',
  'disabled': False

},

  {
  'name': '13 - BBC Arabia',
  'url': 'http://bbcwshdlive01-lh.akamaihd.net/i/atv_1@61433/index_800_av-p.m3u8?sd=10&rebase=on',
  'icon': 'arap.jpg',
  'disabled': False


},

  {
  'name': '14 - Dubai tv',
  'url': 'http://dmivll.mangomolo.com/dubaitv/smil:dubaitv.smil/chunklist_b1200000.m3u8',
  'icon': 'arap.jpg',
  'disabled': False
  
},

  {
  'name': '15 - IRIB tv',
  'url': 'http://dmivll.mangomolo.com/dubaitv/smil:dubaitv.smil/chunklist_b1200000.m3u8',
  'icon': 'iran.png',
  'disabled': False

},

  {
  'name': '15 - Persia TV',
  'url': 'http://63.237.48.23/ios/TVP/TVP.m3u8',
  'icon': 'iran.png',
  'disabled': False


},

  {
  'name': '16 - RTS',
  'url': 'http://d2rcb4pdmqg3cg.cloudfront.net/liverts/liverts.smil/chunklist_b899152.m3u8',
  'icon': 'spansk.jpg',
  'disabled': False


},

  {
  'name': '17 - Tv Galicia',
  'url': 'http://media3.crtvg.es/live/tvge/chunklist.m3u8',
  'icon': 'spansk.jpg',
  'disabled': False

},

  {
  'name': '18 - BBC 1',
  'url': 'http://62.65.140.214:80/session/b068a2ce-cf46-11e5-b7a6-005056bc06d1/nvnv5a/2/4017/4240000/index.m3u8',
  'icon': 'england.jpg',
  'disabled': False

},

  {
  'name': '19 - BBC 2',
  'url': 'http://62.65.140.154:80/session/b0ec8fee-cf46-11e5-a5c9-005056bc1a52/nvnv5a/2/4012/4240000/index.m3u8',
  'icon': 'england.jpg',
  'disabled': False

},

  {
  'name': '20 - Nasa Tv',
  'url': 'http://nasatv-lh.akamaihd.net/i/NASA_101@319270/index_1000_av-p.m3u8?sd=10&rebase=on',
  'icon': 'england.jpg',
  'disabled': False   



},

  {
  'name': '21 - Kabel 1',
  'url': 'http://62.65.140.216:80/session/8325c694-d0a8-11e5-a1bf-005056bc1a52/nvnv5a/1/1039/4240000/index.m3u8',
  'icon': 'alman.png',
  'disabled': False


},

  {
  'name': '22 - Pro 7',
  'url': 'http://62.65.140.212:80/session/88a46008-d0a8-11e5-a5c9-005056bc1a52/nvnv5a/1/1037/4240000/index.m3u8',
  'icon': 'alman.png',
  'disabled': False

},

  {
  'name': '23 - Disney Channel',
  'url': 'http://62.65.140.214:80/session/7c0f2094-d0a8-11e5-996e-005056bc49ac/nvnv5a/1/1124/2290000/index.m3u8',
  'icon': 'alman.png',
  'disabled': False   
}]









Sohbetler = [{
  'name': 'Abdullah Imamoglu - Fasli genc',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=yq_oiFdx2e8',
  'icon': 'abdullah.jpg',
  'disabled': False
},
  {
  'name': 'Abdullah Imamoglu - Amel İmandan mıdır',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=8OyJmJLDrCU',
  'icon': 'abdullah.jpg',
  'disabled': False

},
  {
  'name': 'Abdullah Imamoglu - bence ve bana göre zihniyeti',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=y36u4CdF-M8',
  'icon': 'abdullah.jpg',
  'disabled': False  
},

{
  'name': 'Abdullah Imamoglu - Irkçılık',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=ZyPA5PnIEHQ',
  'icon': 'abdullah.jpg',
  'disabled': False
},
  {
  'name': 'Abdullah Imamoglu - Müslümanın derdiyle dertleneceğiz',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=muzAMo33Yio',
  'icon': 'abdullah.jpg',
  'disabled': False

},
  {
  'name': 'Abdullah Imamoglu - Fetih rûhu nedir?',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=EuWMdwpvrvY',
  'icon': 'abdullah.jpg',
  'disabled': False

},
  {
  'name': 'Aziz Hoca - Ölüm ve Ölümden Sonraki Hayat',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=EuWMdwpvrvY',
  'icon': 'olum.jpg',
  'disabled': False

},
  {
  'name': 'Ey Namaz Kilmayan Kardesim Beni Dinler misin?',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=ojg6AE9ZjIw',
  'icon': 'namaz.jpg',
  'disabled': False

},
  {
  'name': 'Dr. Zakir Naik - Allah bizi neden imtihan ediyor',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=XP8rSmwrxvw',
  'icon': 'zakir.jpg',
  'disabled': False

},
  {
  'name': 'Dr. Zakir Naik - Bana İslamın Doğru Din Olduğunu İspatla!',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=4u98wasVcTw',
  'icon': 'zakir.jpg',
  'disabled': False  
  
}]



DiniKanallar = [{
  'name': '01 - Peace Tv Usa',
  'url': 'rtmp://peace.fms.visionip.tv/live/ playpath=b2b-peace_usa-live-25f-4x3-sdh_1 swfUrl=http://www.peacetv.tv/templates/swf/player.swf pageUrl=http://www.muslimvideo.com/live/online/peacetv-usa.html live=1 timeout=15',
  'icon': 'peace.jpg',
  'disabled': False
},
   {
  'name': '02 - A9 TV',
  'url': 'http://live.harunyahya.tv/hls-live/livepkgr/_definst_/livestream/liveiostr.m3u8',
  'icon': 'a9.jpg',
  'disabled': False

},
  {
  
  'name': '03 - Rehber TV',
  'url': 'rtmp://yayin5.canliyayin.org:1935/live playpath=rehbertv swfUrl=http://www.cagritv.com.tr/playerim/playerim.swf pageUrl=http://www.cagritv.com.tr/cyayin.php live=1 timeout=15',
  'icon': 'rehber.jpg',
  'disabled': False

},
  {
  
  'name': '04 - Kudus TV',
  'url': 'rtmp://yayin8.canliyayin.org/kudustv/ playpath=kudustv swfUrl=http://p.jwpcdn.com/6/8/jwplayer.flash.swf pageUrl=http://www.bedavacanlitvizle.org/yayin/kudustv.php',
  'icon': 'kudustv.jpg',
  'disabled': False

},
  {
 
  'name': '05 - Peace TV UK',
  'url': 'rtmp://peace.fms.visionip.tv/live/ playpath=b2b-peace_sky-live-25f-4x3-sdh_1 swfUrl=http://www.peacetv.tv/templates/swf/player.swf pageUrl=http://www.muslimvideo.com/live/online/peacetv-uk.html',
  'icon': 'peace.jpg',
  'disabled': False

},
  {  
  'name': '06 - Peace TV URDU',
  'url': 'rtmp://peace.fms.visionip.tv/live/ playpath=b2b-peace_asia-live-25f-4x3-sdh_1 swfUrl=http://www.peacetv.tv/templates/swf/player.swf pageUrl=http://www.muslimvideo.com/live/online/peacetv-urdu.html',
  'icon': 'peace.jpg',
  'disabled': False

},
  {
  
  'name': '07 - SEMERKAND TV',
  'url': 'http://semerkandglb.mediatriple.net:1935/semerkandliveedge/semerkand1/chunklist_w1137959173.m3u8',
  'icon': 'semerkand.png',
  'disabled': False

},
  {  
  
  'name': '08 - Medine TV',
  'url': 'rtmp://makkah1live.itworkscdn.net/makkah2live/ playpath=sunnatv swfUrl=http://itworks-me.net/makkah2live/jwplayer.flash.swf pageUrl=http://itworks-me.net/makkah2live/',
  'icon': 'medine.jpg',
  'disabled': False

},
  {  
  
  'name': '09 - Medine TV',
  'url': 'http://livetr.gostream.nl/medine/medine/radyodelisi.m3u8',
  'icon': 'medine.jpg',
  'disabled': False

},
  {  

  'name': '10 - Medine TV',
  'url': 'rtmp://makkah1live.itworkscdn.net/makkah1live/ playpath=squran swfUrl=http://itworks-me.net/makkah1live/jwplayer.flash.swf pageUrl=http://itworks-me.net/makkah1live/',
  'icon': 'medine.jpg',
  'disabled': False

},
  {
  
  'name': '11 - LALEGUL TV',
  'url': 'http://vod2.cdn.web.tv/vy/9q/vy9qeimhflc_,120,240,360,.mp4.urlset/master.m3u8',
  'icon': 'lalegultv.jpg',
  'disabled': False

},
  {  

  'name': '12 - KANAL TEK',
  'url': 'http://sr1.netmedya.org:1935/kanaltek/live.sdp/www.webtvizle.org.m3u8',
  'icon': 'kanaltek.png',
  'disabled': False

},
  {  

  'name': '13 - TRT Diyanet',
  'url': 'rtmp://si.trtcdn.com/tv/trtdiyanet playpath=mp4:trtdiyanet_3 swfUrl=http://cdn.livestream.com/chromelessPlayer/examples/jwplayer/players/4.6.swf pageUrl=http://www.tvizleo.com/2013/08/trt-diyanet-izle.html',
  'icon': 'trtdiyanet.png',
  'disabled': False

},
  {  

  'name': '14 - MEKKE',
  'url': 'rtmp://livetr.gostream.nl:80/mekke playpath=mekke live=true timeout=15',
  'icon': 'mekke.jpg',
  'disabled': False

},
  {  
   
  'name': '15 - Islamic TV',
  'url': 'rtmp://wowza04.sharp-stream.com/islamtv playpath=mp4:islamtv swfUrl=http://player.sharp-stream.com/islamtv/jwplayer.flash.swf pageUrl=http://www.islamchannel.tv/',
  'icon': 'islamictv.jpg',
  'disabled': False
},
  {
  
  
  'name': '16 - IQRA TV',
  'url': 'http://cdn01.iqbroadcast.tv:8081/g1/1qr188/playlist.m3u8',
  'icon': 'iqraa.png',
  'disabled': False
}]


Filmler = [{
  'name': '01 - Hz Süleyman',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=qmWveEwRxyk',
  'icon': 'suleyman.jpg',
  'disabled': False
},
  {
  'name': '02 - Hz. Eyyüb (a.s.)',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=m7ZkGnxkeb0',
  'icon': 'eyyup.jpg',
  'disabled': False
},
  {
  'name': '03 - Çağrı - Hz .Muhammed s-a-v',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=dfMCsDcxIIA',
  'icon': 'cagri.jpg',
  'disabled': False
},

  {
  'name': '04 - Davaro',
  'url': 'http://ia801607.us.archive.org/15/items/ks333/davaro.mp4',
  'icon': 'kemalsunal.png',
  'disabled': False
},

  {
  'name': '05 - Kibar Feyzo',
  'url': 'http://ia601606.us.archive.org/5/items/ksfilm6/kibarfeyzo.mp4',
  'icon': 'kemalsunal.png',
  'disabled': False
},

  {
  'name': '06 - Sakar Sakir',
  'url': 'http://ia801602.us.archive.org/2/items/ksfilm9/sakarsakir.mp4',
  'icon': 'kemalsunal.png',
  'disabled': False
},

  {
  'name': '07 - Saban Oglu Saban',
  'url': 'http://ia801602.us.archive.org/2/items/ksfilm9/sabanoglusaban.mp4',
  'icon': 'kemalsunal.png',
  'disabled': False

},

  {
  'name': '08 - Eyvah Eyvah 3',
  'url': 'http://bak01-vod04.myvideo.az/secure/190/360p/1896943.mp4',
  'icon': 'eyvah3.png',
  'disabled': False  
  
},

  {  
  'name': '09 - Eyvah Eyvah 1',
  'url': 'http://bak01-vod04.myvideo.az/secure/189/1883756.mp4',
  'icon': 'eyvah1.jpg',
  'disabled': False
},

  {  
  'name': '10 - Allahın Sadık Kulu - Barla',
  'url': 'http://bak01-vod04.myvideo.az/secure/189/1887818.mp4',
  'icon': 'allahkulu.jpg',
  'disabled': False
},

  {  
  'name': '11 - bi küçük Eylül meselesi',
  'url': 'http://bak01-vod04.myvideo.az/secure/191/1903998.mp4',
  'icon': 'eylul.png',
  'disabled': False
  
},

  { 
  'name': '12 - Bana Bir Soygun Yaz',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=yJ_3s2OPQ7U',
  'icon': 'soygun.jpg',
  'disabled': False
 
},

  {
  'name':'13 - Abimm',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=2jDNKy0PGMo',
  'icon': 'abimm.jpg',
  'disabled': False
  
},

  {  
  'name': '14 - Polis Akademisi Alaturka',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=osuyoVs-TOk',
  'icon': 'polis.jpg',
  'disabled': False
  
  
},

  { 
  'name': '15 - KOLPACINO',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=CELQgGEU2dM',
  'icon': 'kolpacino.jpg',
  'disabled': False
}]


ArapcaDersleri = [{
  'name': '01 - ARAPÇA ÖĞRENİYORUM DERS 1',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=IiHeO3nULHo',
  'icon': 'arapca.jpg',
  'disabled': False
},
  {
  'name': '02 - ARAPÇA ÖĞRENİYORUM DERS 2',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=2eZZdQbAOtk',
  'icon': 'arapca.jpg',
  'disabled': False
},
  {
  'name': '03 - ARAPÇA ÖĞRENİYORUM DERS 3',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=EW_YZyh0gEQ',
  'icon': 'arapca.jpg',
  'disabled': False
},

  {
  'name': '04 - ARAPÇA ÖĞRENİYORUM DERS 4',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=MBXb2f96yaY',
  'icon': 'arapca.jpg',
  'disabled': False
},

  {
  'name': '05 - ARAPÇA ÖĞRENİYORUM DERS 5',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=ZPU5zmkhmhA',
  'icon': 'arapca.jpg',
  'disabled': False
},

  {
  'name': '06 - ARAPÇA ÖĞRENİYORUM DERS 6',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=u2LSVXyR_8Q',
  'icon': 'arapca.jpg',
  'disabled': False
},

  {
  'name': '07 - ARAPÇA ÖĞRENİYORUM DERS 7',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=0thHEqPCknM',
  'icon': 'arapca.jpg',
  'disabled': False
}]


KuranMucizeleri = [{
  'name': '01 - İspatlı Kuran Mucizesi: Hayret Edeceksiniz!!',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=xbSY97zaVmk',
  'icon': 'kuran.jpg',
  'disabled': False

},

  {
  'name': '02 - Kuran-ı Kerim Mucizeleri Belgeseli',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=dtDwqSnLYAo',
  'icon': 'kuran.jpg',
  'disabled': False

},

  {
  'name': '03 - Kuran Mucizeleri',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=l-Zdo_yl884',
  'icon': 'kuran.jpg',
  'disabled': False


},

  {
  'name': '04 - Kuranın 1400 Yıl Önceden Haber Verdiği Gerçekler',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=XXeaTTkivcY',
  'icon': 'kuran.jpg',
  'disabled': False

},

  {
  'name': '05 - Kuranın bilimsel mucizeleri',
  'url': 'plugin://plugin.video.youtube/?action=play_video&videoid=oUpKobv1Ssc',
  'icon': 'kuran.jpg',
  'disabled': False  

}]

streams = {
  'TurkKanallar': sorted((i for i in TurkKanallar if not i.get('disabled', False)), key=lower_getter('name')),
  'YabanciKanallar': sorted((i for i in YabanciKanallar if not i.get('disabled', False)), key=lower_getter('name')),
  'Sohbetler': sorted((i for i in Sohbetler if not i.get('disabled', False)), key=lower_getter('name')),
  'DiniKanallar': sorted((i for i in DiniKanallar if not i.get('disabled', False)), key=lower_getter('name')),
  'Filmler': sorted((i for i in Filmler if not i.get('disabled', False)), key=lower_getter('name')),
  'ArapcaDersleri': sorted((i for i in ArapcaDersleri if not i.get('disabled', False)), key=lower_getter('name')),
  'KuranMucizeleri': sorted((i for i in KuranMucizeleri if not i.get('disabled', False)), key=lower_getter('name')),
  
  
  # 'TurkKanallar': sorted(TurkKanallar, key=lower_getter('name')),
  # 'YabanciKanallar': sorted(YabanciKanallar, key=lower_getter('name')),
  # 'Sohbetler': sorted(Sohbetler, key=lower_getter('name')),
  # 'DiniKanallar': sorted(DiniKanallar, key=lower_getter('name')),
  # 'Filmler': sorted(Filmler, key=lower_getter('name')),
  # 'ArapcaDersleri': sorted(ArapcaDersleri, key=lower_getter('name')),
  # 'KuranMucizeleri': sorted(KuranMucizeleri, key=lower_getter('name')),
  
  
}

PARAMS = get_params()
TAG = None
logging.warning('PARAMS!!!! %s', PARAMS)

try:
  TAG = PARAMS['tag']
except:
  pass

logging.warning('ARGS!!!! sys.argv %s', sys.argv)

if TAG == None:
  show_tags()
else:
  show_streams(TAG)
